# TODO
# - subpackages for themes (see metacity.spec)
# - find proper packages for %files
Summary:	MATE Desktop window manager
Name:		mate-window-manager
Version:	1.6.2
Release:	1
License:	LGPL v2+ and GPL v2+
Group:		X11/Window Managers
Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz
# Source0-md5:	8f6ef12e31d74840aa3db7275149907d
# https://bugzilla.gnome.org/show_bug.cgi?id=622517
Patch0:		Allow-breaking-out-from-maximization-during-mouse.patch
# https://bugs.launchpad.net/ubuntu/+source/metacity/+bug/583847
Patch1:		initialise_all_workspace_names.patch
URL:		http://wiki.mate-desktop.org/mate-window-manager
BuildRequires:	desktop-file-utils
BuildRequires:	gtk+2-devel
BuildRequires:	libcanberra-devel
BuildRequires:	libcanberra-gtk-devel
BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	startup-notification-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2 >= 1:2.26.0
Requires:	gsettings-desktop-schemas
Suggests:	mate-control-center
# can use any gtk+2 themes nicely, Adwaita specially
Suggests:	%{name}-themes
Requires(post):	/sbin/ldconfig
Requires:	mate-icon-theme
Requires:	mate-settings-daemon
Obsoletes:	mate-window-manager-libs < 1.4.1-2
# http://bugzilla.redhat.com/873342
#Provides:	firstboot(windowmanager) = mate-window-manager
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Desktop window manager.

%package libs
Summary:	marco library
Summary(pl.UTF-8):	marco biblioteka
Group:		X11/Libraries

%description libs
This package contains libraries for MATE window manager.

%description libs -l pl.UTF-8
Pakiet zawierający biblioteki zarządcy okien MATE.

%package devel
Summary:	Development files for mate-window-manager
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Development files for mate-window-manager

%package themes
Summary:	Themes for Mate Window Manager
Group:		Themes/GTK+
Requires:	%{name} = %{version}-%{release}

%description themes
Themes for Mate Window Manager.

%prep
%setup -q
%patch0 -p1
#patch1 -p1

%build
%configure \
	MATEDIALOG=%{_bindir}/matedialog \
	--disable-silent-rules \
	--disable-static \
	--disable-scrollkeeper \
	--with-gnu-ld \
	--with-gtk=2.0 \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmarco-private.la

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/marco.convert

desktop-file-install \
	--remove-category="MATE" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir}  \
$RPM_BUILD_ROOT%{_desktopdir}/marco.desktop

%find_lang %{name} --all-name --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%glib_compile_schemas

%postun
/sbin/ldconfig
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_bindir}/marco
%attr(755,root,root) %{_bindir}/marco-message
%{_desktopdir}/marco.desktop
%{_datadir}/mate-window-manager
%{_datadir}/mate-control-center/keybindings/50-marco*.xml
#%{_datadir}/mate/help/creating-marco-themes/C/creating-marco-themes.xml
%{_datadir}/mate/wm-properties
%{_datadir}/glib-2.0/schemas/org.mate.marco.gschema.xml
%{_mandir}/man1/marco.1.*
%{_mandir}/man1/marco-message.1.*

# XXX find proper packages
%dir %{_datadir}/mate-control-center
%dir %{_datadir}/mate-control-center/keybindings

%files themes
%defattr(644,root,root,755)
%{_datadir}/themes/ClearlooksRe
%{_datadir}/themes/Dopple-Left
%{_datadir}/themes/Dopple
%{_datadir}/themes/DustBlue
%{_datadir}/themes/Spidey-Left
%{_datadir}/themes/Spidey
%{_datadir}/themes/Splint-Left
%{_datadir}/themes/Splint
%{_datadir}/themes/WinMe
%{_datadir}/themes/eOS

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmarco-private.so.*.*.*
%ghost %{_libdir}/libmarco-private.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/marco-theme-viewer
%attr(755,root,root) %{_bindir}/marco-window-demo
%{_includedir}/marco-1
%{_libdir}/libmarco-private.so
%{_pkgconfigdir}/libmarco-private.pc
%{_mandir}/man1/marco-theme-viewer.1.*
%{_mandir}/man1/marco-window-demo.1.*
%changelog
* Tue Jun 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-window-manager.git;a=log;h=master

* Tue Jun 11 2013 Elan Ruusamäe <glen@delfi.ee> e0444e6
- up to 1.6.2

* Wed Apr 10 2013 Elan Ruusamäe <glen@delfi.ee> 4fa678d
- up to 1.6.1

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 680a06a
- use 1.6.0 tarball

* Mon Mar 25 2013 Elan Ruusamäe <glen@delfi.ee> 1589428
- up to 1.5.5

* Fri Feb 22 2013 Elan Ruusamäe <glen@delfi.ee> 5b19303
- up to 1.5.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> b2fb15b
- cleanup deps by cleanbuild

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> ed06769
- rel 1

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 063e08a
- requires mate-settings-daemon, or wm won't startup at all

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 779bb83
- require icon theme

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 5e1a3c4
- do not depend on mate-conf

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 39cadd2
- split -themes

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 3f0ec50
- up to 1.5.3

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 0af0c20
- add -libs subpackage, so -devel doesn't require actual wm

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 08d6645
- run autogen in build section

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 91ab70d
- tar.xz deps

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 8446ed7
- marco crashes if mate-control-center is not installed

* Fri Dec 21 2012 Elan Ruusamäe <glen@delfi.ee> ad92460
- new, version 1.5.2

